package net.northking.cctp.flowable.dto.sm;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class StateAuthDto {

    @ApiModelProperty(value = "流程id", required = true)
    private String processId;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "角色列表")
    private List<String> roleList;

    @ApiModelProperty(value = "是否初始状态")
    private Boolean initialState = false;

    @ApiModelProperty(value = "是否结束状态")
    private Boolean finishedState = false;

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<String> getRoleList() {
        return roleList;
    }

    public void setRoleList(List<String> roleList) {
        this.roleList = roleList;
    }

    public Boolean getInitialState() {
        return initialState;
    }

    public void setInitialState(Boolean initialState) {
        this.initialState = initialState;
    }

    public Boolean getFinishedState() {
        return finishedState;
    }

    public void setFinishedState(Boolean finishedState) {
        this.finishedState = finishedState;
    }
}
